// creare degli ascoltatori sui radio button
// chiamare il server (API), stampare la tabella con risultati
function crea_tabella(data)
{
	$('#id_tab').append("<tr id='hr'></tr>");
	$.each(data[0], function(k, v){
		$('#hr').append("<td>" + k + "</td>");
	});
	
	for(var i=0; i < data.length; i++)
	{
		$('#id_tab').append("<tr id='b" + i + "'></tr>");
		$.each(data[i], function(k,v){
			$("#b" + i).append("<td>" + v + "</td>");
		});
	}
}

function crea_grafico(data)
{
	var opzioni = {
		title 	: { text: 'Popolazione'},
		chart	: { type: 'bar'},
		series	: data.series,
		xAxis	: {categories: data.categories}
	
	}
	Highcharts.chart('grafico_barre',opzioni);
}

function inizializza(){}

function crea_mappa(data)
{
	var opzioni = {
		zoom	: 8,
		center	: {lat: 43.029533, lng: 13.174643}
	};
	var map = new google.maps.Map(document.getElementById('mappa'), opzioni);
	
	for(var i = 0; i < data.length; i++)
	{
		var opzioni_m = {
			position	: data[i].coordinate,
			map			: map
		};
		var marker = new google.maps.Marker(opzioni_m);
		
		var opzioni_i = {
			position	: data[i].coordinate,
			content		: data[i].contenuto
		}
		var infowindow = new google.maps.InfoWindow(opzioni_i);
		
		
		google.maps.event.addListener(marker, 'click', open_infowindow(marker,infowindow,map));
	}
}

function open_infowindow(marker, infowindow, map)
{
	return function()
	{
		infowindow.open(map, marker);
	}
}

function cancella()
{
	$("#id_tab").empty();
	$("#grafico_barre").empty();
	$("#mappa").empty();
	$("#bURL").remove();
	$("#bCoord").remove();
}

function crea_pulsante(id_pulsante, type)
{
	$('#id_div').append("<button id='" + id_pulsante + "' type='button'>\
	" + type + "</button>");
	
	$("#" + id_pulsante).click(function(){
		$("#id_tab").empty();
		if(type == 'coordinate')
			$.getJSON('api/comuni-get.php?type=' + type, crea_mappa);
		else
			$.getJSON('api/comuni-get.php?type=' + type, crea_tabella);
	});		
}

$(document).ready(function(){

	$('input[name=scelta]:radio').change(function(){
		var type = $('input[name=scelta]:checked').val();
		if(type == 'popolazione')
		{
			console.log('popolazione');
			cancella();
			$.getJSON('api/popolazione.php?serie=singola', crea_grafico);
		}
		else
		{
			console.log('comuni');
			cancella();
			crea_pulsante("bCoord", "coordinate");
			crea_pulsante("bURL", "url");
			
			/*$('#id_div').append("<button id='bCoord' type='button'>\
			Coordinate</button>");
			$('#id_div').append("<button type='button' id='bURL'>\
			URL</button>");
			
			$("#bURL").click(function(){
				$("#id_tab").empty();
				$.getJSON('api/comuni-get.php?type=url', crea_tabella);
			});
			$("#bCoord").click(function(){
				$("#id_tab").empty();
				$.getJSON('api/comuni-get.php?type=coordinate', crea_tabella);
			});*/
		}
	});

});